Bug 537609 - kdebase-workspace depends on xorg-x11-apps
Summary: kdebase-workspace depends on xorg-x11-apps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: kde-4.5
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-15 01:24 UTC by Bernie Innocenti
Modified: 2010-11-17 23:29 UTC (History)
8 users (show)

Fixed In Version: kdegames-4.5.3-3.fc14
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-17 23:18:22 UTC
Type: ---


Attachments (Terms of Use)

Description Bernie Innocenti 2009-11-15 01:24:48 UTC
This dependency is particularily nasty because it drags in all the legacy X libraries.

Comment 1 Rex Dieter 2009-11-15 03:14:56 UTC
# startkde references: xmessage xprop xrandr xrdb xset xsetroot

Comment 2 Bernie Innocenti 2009-11-15 07:07:31 UTC
(In reply to comment #1)
> # startkde references: xmessage xprop xrandr xrdb xset xsetroot  

Of these, only xmessage and xprop come from xorg-x11-utils.

Comment 3 Bug Zapper 2009-11-16 15:32:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Rex Dieter 2009-11-18 18:53:43 UTC
rebase to rawhide(FutureFeature)

Comment 5 Rex Dieter 2009-11-18 18:54:24 UTC
Lukas is taking a peek at cleaning up startkde

Comment 6 Kevin Kofler 2009-11-18 22:57:23 UTC
Well, obviously we can't use KDE stuff before KDE is started up or we'll mess up the startup process.

Comment 7 Bernie Innocenti 2009-11-19 00:09:03 UTC
(In reply to comment #6)
> Well, obviously we can't use KDE stuff before KDE is started up or we'll mess
> up the startup process.  

You could use zenity, but it uses libraries from the "competition" :-)

Well, Qt on UNIX platforms already depends on glib, so it's not a big deal...

Comment 8 Bernie Innocenti 2010-02-01 22:06:49 UTC
Wine no longer depends on xmessage, so kdebase-workspace is the only component left requiring it, along with xorg-x11-apps and all their dependencies.

Comment 9 Rex Dieter 2010-10-20 13:48:13 UTC
I'll look at this some more, and consider alternatives such as zenity (or maybe even kdialog), though eww... it's a killer space-wise, ~700k vs ~4m , not sure this is really practical beyond esthestics.

Comment 10 Rex Dieter 2010-10-20 13:49:13 UTC
(oh, and kdialog is out, see comment #6 indeed)

Comment 11 Rex Dieter 2010-10-20 13:50:52 UTC
on the other hand, we *could* consider xorg-x11-apps a sort of soft dependency, install it by default via comps (or kickstart or whatever), but don't enforce it's presence via hard dependencies... which would allow those who *really* don't want it to have their wish.

Comment 12 Kevin Kofler 2010-10-20 14:11:18 UTC
I think the point of not using kdialog there is that those messages should be fallbacks if KDE stuff is broken. I'm not convinced zenity is a good idea there either.

Comment 13 Rex Dieter 2010-10-20 15:17:30 UTC
%changelog
* Wed Oct 20 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.5.2-4
- kdebase-workspace depends on xorg-x11-apps (#537709)

Comment 14 Fedora Update System 2010-10-24 19:01:45 UTC
akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/akonadi-1.4.0-3.fc13,attica-0.1.4-1.fc13,kde-l10n-4.5.2-1.fc13,kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2,kde-plasma-yawp-0.3.5-2.fc13,kdeaccessibility-4.5.2-1.fc13,kdeadmin-4.5.2-1.fc13,kdeartwork-4.5.2-1.fc13,kdebase-4.5.2-2.fc13,kdebase-runtime-4.5.2-3.fc13,kdebase-workspace-4.5.2-3.fc13,kdebindings-4.5.2-2.fc13,kdeedu-4.5.2-2.fc13,kdegames-4.5.2-1.fc13,kdegraphics-4.5.2-4.fc13,kdelibs-4.5.2-7.fc13,kdemultimedia-4.5.2-1.fc13,kdenetwork-4.5.2-1.fc13,kdepimlibs-4.5.2-1.fc13,kdeplasma-addons-4.5.2-1.fc13,kdesdk-4.5.2-1.fc13,kdetoys-4.5.2-1.fc13,kdeutils-4.5.2-1.fc13,oxygen-icon-theme-4.5.2-1.fc13,soprano-2.5.2-1.fc13

Comment 15 Fedora Update System 2010-11-04 23:37:12 UTC
akonadi-1.4.0-3.fc13, attica-0.1.4-1.fc13, kde-l10n-4.5.2-1.fc13, kde-plasma-networkmanagement-0.9-0.28.20101011.fc13.2, kde-plasma-yawp-0.3.5-2.fc13, kdeaccessibility-4.5.2-1.fc13, kdeadmin-4.5.2-1.fc13, kdeartwork-4.5.2-1.fc13, kdebase-4.5.2-2.fc13, kdebase-runtime-4.5.2-3.fc13, kdebase-workspace-4.5.2-3.fc13, kdebindings-4.5.2-2.fc13, kdeedu-4.5.2-2.fc13, kdegames-4.5.2-1.fc13, kdegraphics-4.5.2-4.fc13, kdemultimedia-4.5.2-1.fc13, kdenetwork-4.5.2-1.fc13, kdepimlibs-4.5.2-1.fc13, kdeplasma-addons-4.5.2-1.fc13, kdesdk-4.5.2-1.fc13, kdetoys-4.5.2-1.fc13, kdeutils-4.5.2-1.fc13, oxygen-icon-theme-4.5.2-1.fc13, soprano-2.5.2-1.fc13, kphotoalbum-4.1.1-6.fc13, themonospot-gui-qt-0.1.3-7.fc13, kcm-gtk-0.5.3-5.fc13, kcm_touchpad-0.3.1-3.fc13, kdebase3-3.5.10-17.fc13, digikam-1.5.0-1.fc13.1, kdelibs-4.5.2-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Kevin Kofler 2010-11-09 15:03:46 UTC
This was fixed in 4.5.2-4, the update set that was pushed included 4.5.2-3.

Comment 17 Fedora Update System 2010-11-09 15:14:32 UTC
akonadi-1.4.1-2.fc14,kde-plasma-yawp-0.3.5-4.fc14,kdeaccessibility-4.5.3-1.fc14,kdeadmin-4.5.3-1.fc14,kdeartwork-4.5.3-1.fc14,kdebase-4.5.3-1.fc14,kdebase-runtime-4.5.3-1.fc14,kdebase-workspace-4.5.3-2.fc14,kdebindings-4.5.3-1.fc14,kdeedu-4.5.3-2.fc14,kdegames-4.5.3-1.fc14,kdegraphics-4.5.3-2.fc14,kdelibs-4.5.3-1.fc14,kdemultimedia-4.5.3-1.fc14,kdenetwork-4.5.3-2.fc14,kdepimlibs-4.5.3-1.fc14,kdeplasma-addons-4.5.3-1.fc14,kdesdk-4.5.3-3.fc14,kdetoys-4.5.3-1.fc14,kdeutils-4.5.3-1.fc14,oxygen-icon-theme-4.5.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/akonadi-1.4.1-2.fc14,kde-plasma-yawp-0.3.5-4.fc14,kdeaccessibility-4.5.3-1.fc14,kdeadmin-4.5.3-1.fc14,kdeartwork-4.5.3-1.fc14,kdebase-4.5.3-1.fc14,kdebase-runtime-4.5.3-1.fc14,kdebase-workspace-4.5.3-2.fc14,kdebindings-4.5.3-1.fc14,kdeedu-4.5.3-2.fc14,kdegames-4.5.3-1.fc14,kdegraphics-4.5.3-2.fc14,kdelibs-4.5.3-1.fc14,kdemultimedia-4.5.3-1.fc14,kdenetwork-4.5.3-2.fc14,kdepimlibs-4.5.3-1.fc14,kdeplasma-addons-4.5.3-1.fc14,kdesdk-4.5.3-3.fc14,kdetoys-4.5.3-1.fc14,kdeutils-4.5.3-1.fc14,oxygen-icon-theme-4.5.3-1.fc14

Comment 18 Fedora Update System 2010-11-09 15:23:12 UTC
akonadi-1.4.1-2.fc13,kde-plasma-yawp-0.3.5-4.fc13,kdeaccessibility-4.5.3-1.fc13,kdeadmin-4.5.3-1.fc13,kdeartwork-4.5.3-1.fc13,kdebase-4.5.3-1.fc13,kdebase-runtime-4.5.3-1.fc13,kdebase-workspace-4.5.3-2.fc13,kdebindings-4.5.3-1.fc13,kdeedu-4.5.3-2.fc13,kdegames-4.5.3-1.fc13,kdegraphics-4.5.3-2.fc13,kdelibs-4.5.3-1.fc13,kdemultimedia-4.5.3-1.fc13,kdenetwork-4.5.3-2.fc13,kdepimlibs-4.5.3-1.fc13,kdeplasma-addons-4.5.3-1.fc13,kdesdk-4.5.3-3.fc13,kdetoys-4.5.3-1.fc13,kdeutils-4.5.3-1.fc13,oxygen-icon-theme-4.5.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/akonadi-1.4.1-2.fc13,kde-plasma-yawp-0.3.5-4.fc13,kdeaccessibility-4.5.3-1.fc13,kdeadmin-4.5.3-1.fc13,kdeartwork-4.5.3-1.fc13,kdebase-4.5.3-1.fc13,kdebase-runtime-4.5.3-1.fc13,kdebase-workspace-4.5.3-2.fc13,kdebindings-4.5.3-1.fc13,kdeedu-4.5.3-2.fc13,kdegames-4.5.3-1.fc13,kdegraphics-4.5.3-2.fc13,kdelibs-4.5.3-1.fc13,kdemultimedia-4.5.3-1.fc13,kdenetwork-4.5.3-2.fc13,kdepimlibs-4.5.3-1.fc13,kdeplasma-addons-4.5.3-1.fc13,kdesdk-4.5.3-3.fc13,kdetoys-4.5.3-1.fc13,kdeutils-4.5.3-1.fc13,oxygen-icon-theme-4.5.3-1.fc13

Comment 19 Fedora Update System 2010-11-10 01:10:26 UTC
kdegames-4.5.3-2.fc14, akonadi-1.4.1-2.fc14, kde-plasma-yawp-0.3.5-4.fc14, kdeaccessibility-4.5.3-1.fc14, kdeadmin-4.5.3-1.fc14, kdeartwork-4.5.3-1.fc14, kdebase-4.5.3-1.fc14, kdebase-runtime-4.5.3-1.fc14, kdebase-workspace-4.5.3-2.fc14, kdebindings-4.5.3-1.fc14, kdeedu-4.5.3-2.fc14, kdegraphics-4.5.3-2.fc14, kdelibs-4.5.3-1.fc14, kdemultimedia-4.5.3-1.fc14, kdenetwork-4.5.3-2.fc14, kdepimlibs-4.5.3-1.fc14, kdeplasma-addons-4.5.3-1.fc14, kdesdk-4.5.3-3.fc14, kdetoys-4.5.3-1.fc14, kdeutils-4.5.3-1.fc14, oxygen-icon-theme-4.5.3-1.fc14, kde-l10n-4.5.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdegames akonadi kde-plasma-yawp kdeaccessibility kdeadmin kdeartwork kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegraphics kdelibs kdemultimedia kdenetwork kdepimlibs kdeplasma-addons kdesdk kdetoys kdeutils oxygen-icon-theme kde-l10n'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/akonadi-1.4.1-2.fc14,kde-plasma-yawp-0.3.5-4.fc14,kdeaccessibility-4.5.3-1.fc14,kdeadmin-4.5.3-1.fc14,kdeartwork-4.5.3-1.fc14,kdebase-4.5.3-1.fc14,kdebase-runtime-4.5.3-1.fc14,kdebase-workspace-4.5.3-2.fc14,kdebindings-4.5.3-1.fc14,kdeedu-4.5.3-2.fc14,kdegames-4.5.3-2.fc14,kdegraphics-4.5.3-2.fc14,kdelibs-4.5.3-1.fc14,kdemultimedia-4.5.3-1.fc14,kdenetwork-4.5.3-2.fc14,kdepimlibs-4.5.3-1.fc14,kdeplasma-addons-4.5.3-1.fc14,kdesdk-4.5.3-3.fc14,kdetoys-4.5.3-1.fc14,kdeutils-4.5.3-1.fc14,oxygen-icon-theme-4.5.3-1.fc14,kde-l10n-4.5.3-1.fc14

Comment 20 Fedora Update System 2010-11-17 23:17:51 UTC
kdegames-4.5.3-3.fc14, kdebase-workspace-4.5.3-3.fc14, kdebase-runtime-4.5.3-3.fc14, kdepimlibs-4.5.3-2.fc14, akonadi-1.4.1-2.fc14, kde-plasma-yawp-0.3.5-4.fc14, kdeaccessibility-4.5.3-1.fc14, kdeadmin-4.5.3-1.fc14, kdeartwork-4.5.3-1.fc14, kdebase-4.5.3-1.fc14, kdebindings-4.5.3-1.fc14, kdeedu-4.5.3-2.fc14, kdegraphics-4.5.3-2.fc14, kdelibs-4.5.3-1.fc14, kdemultimedia-4.5.3-1.fc14, kdenetwork-4.5.3-2.fc14, kdeplasma-addons-4.5.3-1.fc14, kdesdk-4.5.3-3.fc14, kdetoys-4.5.3-1.fc14, kdeutils-4.5.3-1.fc14, oxygen-icon-theme-4.5.3-1.fc14, kde-l10n-4.5.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-11-17 23:29:11 UTC
kdebase-workspace-4.5.3-3.fc13, akonadi-1.4.1-2.fc13, kde-plasma-yawp-0.3.5-4.fc13, kdeaccessibility-4.5.3-1.fc13, kdeadmin-4.5.3-1.fc13, kdeartwork-4.5.3-1.fc13, kdebase-4.5.3-1.fc13, kdebindings-4.5.3-1.fc13, kdeedu-4.5.3-2.fc13, kdegraphics-4.5.3-2.fc13, kdelibs-4.5.3-1.fc13, kdemultimedia-4.5.3-1.fc13, kdenetwork-4.5.3-2.fc13, kdeplasma-addons-4.5.3-1.fc13, kdesdk-4.5.3-3.fc13, kdetoys-4.5.3-1.fc13, kdeutils-4.5.3-1.fc13, oxygen-icon-theme-4.5.3-1.fc13, kde-l10n-4.5.3-1.fc13, kdegames-4.5.3-3.fc13, kdebase-runtime-4.5.3-3.fc13, kdepimlibs-4.5.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.